
QGIS Application - Bug report #19061

QGis does not start up - please help!

2018-05-29 05:07 PM - Markus Urbscheit

Status: Closed

Priority: Normal

Assignee:

Category: Windows Package

Affected QGIS version:3.6.0 Regression?: No

Operating System: Windows 10 Easy fix?: No

Pull Request or Patch supplied:No Resolution: worksforme

Crashes QGIS or corrupts data:No Copied to github as #: 26891

Description

Dear QGis developers, I'm desperate! Since QGis 3 I cannot run the program any more: At startup I just get error messages (see

attachments) - nothing happens afterwords. QGis doesn't load. So unfortunately no QGis 3 for me yet... This was the case in version

3.0.1, 3.0.2 and now also 3.0.3. Could anybody give me an answer what could possibly solve the problem in case it is a local issue? I

uninstalled QGis properly every time before installing a new version. I appreciate any answer. Thanks a lot!

I already reported this problem (similar error messages) in issue #18980 and #18326

I never had this problem in any former (2.X) version.

[Edit]

Summary of message box captures (BTW using Ctrl+C should also copy the contents, but in text, which would make it easier for us):

    -  Der Prozedureinsprungspunkt "?wheelEvent@QListView@MEAAXPEAVQWheelEvent@@Z" wurde in der DLL

"C:\PROGRA~1\QGIS3~1.0\apps\qgis\bin\qgis_app.dll" nicht gefunden." 

    -  Der Prozedureinsprungspunkt "?authenticationMethod@QSslCipher@@QEBA?AVQString@XY" wurde in der DLL

"C:\PROGRA~1\QGIS3~1.0\apps\qgis\bin\qgis_gui.dll" nicht gefunden.

    -  Der Prozedureinsprungspunkt "??0QColor@QEAA$$QEAV0@Z" wurde in der DLL

"C:\PROGRA~1\QGIS3~1.0\apps\qt5\bin\qwt6.dll" nicht gefunden.

    -  Der Prozedureinsprungspunkt "?toLower@QString@@QEGBA?AV1@XZ" wurde in der DLL

"C:\PROGRA~1\QGIS3~1.0\apps\qt5\bin\qca-qt5.dll" nicht gefunden.

    -  qca-qt5.dll and qwt6.dll only found in "C:\OSGeo4W64\apps\Qt5\bin" and "C:\Programme\QGIS 3.2\apps\Qt5\bin" 

    -  qgis_app.dll and qgis_gui.dll only found in "C:\OSGeo4W64\apps\qgis\bin", "C:\Programme\QGIS 3.2\apps\qgis\bin" and

"C:\Programme\QGIS 2.18\apps\qgis-ltr\bin" 

    -  dependency walker reports inconclusive because they don't have the full paths.

Related issues:

Related to QGIS Application - Bug report # 18980: QGis does not start up - on... Closed 2018-05-18

Duplicated by QGIS Application - Bug report # 20205: QGIS 3 can not launch Closed 2018-10-24

Duplicated by QGIS Application - Bug report # 18326: Cannot launch QGis 3.0 -... Closed 2018-03-04

History

#1 - 2018-05-29 05:13 PM - Giovanni Manghi

In the meantime: use the LTR version (2.18) for mission critical/daily tasks. QGIS 3 will become LTR (aka "stable") only with the 3.4 release.

#2 - 2018-05-29 05:18 PM - Markus Urbscheit

Giovanni Manghi wrote:

In the meantime: use the LTR version (2.18) for mission critical/daily tasks. QGIS 3 will become LTR (aka "stable") only with the 3.4 release.
Thanks Giovanni. So I will wait patiently for 3.4 and use 2.18 until then. Thank you all for doing this great job of developping QGis. Cheers Markus

#3 - 2018-05-29 06:21 PM - Harrissou Santanna

- Status changed from Open to Feedback

@Markus, what happens if you open your file browser up to the bin folder shown in the message and double-click the qgis.bat file associated?

#4 - 2018-08-16 12:04 AM - Giovanni Manghi

- Status changed from Feedback to Closed

- Resolution set to not reproducable

Closing for lack of feedback.

#5 - 2018-08-16 10:47 AM - Markus Urbscheit

- Status changed from Closed to Reopened

Sorry folks for not reacting earlier...

I just installed qgis Bonn now. The isssue remains as posted here and in earlier posts (#18326 and #18980). I still cannot open qgis at all, I just get the

error messages attached here.

On Harrissou Santannas question: if I doubbleclick qgis.bat in the bin folder just the same thing happens.

QGis 2.18 LTR works fine. So what could make the difference that causes this problem?

After months of waiting an no solution I am longing to use QGis 3...

Thanks for any help.

Markus

#6 - 2018-08-16 10:59 AM - Giovanni Manghi

- Status changed from Reopened to Closed

- Resolution changed from not reproducable to invalid

Markus Urbscheit wrote:

Sorry folks for not reacting earlier...

I just installed qgis Bonn now. The isssue remains as posted here and in earlier posts (#18326 and #18980). I still cannot open qgis at all, I just get

the error messages attached here.

On Harrissou Santannas question: if I doubbleclick qgis.bat in the bin folder just the same thing happens.
QGis 2.18 LTR works fine. So what could make the difference that causes this problem?

After months of waiting an no solution I am longing to use QGis 3...

Thanks for any help.

Markus

your is a case of "DLL hell":

in the error messages you posted you find reerences to .dll files, if you look into your "system32" folder (of your windows installation) you-ll find a copy of

them. They should not be there. There were placed there by a software installer (not qgis). QGIS also install a copy of such dlls, but it keeps them into its

installation directly. When you launch qgis (as any other windows program) it looks for the dlls it needs first into system32, it finds them but are not the right

version ones, so it fails. If you want your qgis to start you should rename/delete such dll files, of course one or more programs you installed will stop to

work. Blame not QGIS for this.

#7 - 2018-08-16 11:10 AM - Markus Urbscheit

- Status changed from Closed to Reopened

- File 2018-08-16 10_54_32-QGIS 3.2.jpg added

- File 2018-08-16 10_51_46-QGIS 3.2.jpg added

- File 2018-08-16 10_52_02-QGIS 3.2.jpg added

- File 2018-08-16 10_52_10-QGIS 3.2.jpg added

- File 2018-08-16 10_52_19-QGIS 3.2.jpg added

Giovanni Manghi wrote:

Markus Urbscheit wrote:

Sorry folks for not reacting earlier...

I just installed qgis Bonn now. The isssue remains as posted here and in earlier posts (#18326 and #18980). I still cannot open qgis at all, I just

get the error messages attached here.

On Harrissou Santannas question: if I doubbleclick qgis.bat in the bin folder just the same thing happens.

QGis 2.18 LTR works fine. So what could make the difference that causes this problem?

After months of waiting an no solution I am longing to use QGis 3...

Thanks for any help.

Markus

your is a case of "DLL hell":

in the error messages you posted you find reerences to .dll files, if you look into your "system32" folder (of your windows installation) you-ll find a

copy of them. They should not be there. There were placed there by a software installer (not qgis). QGIS also install a copy of such dlls, but it keeps

them into its installation directly. When you launch qgis (as any other windows program) it looks for the dlls it needs first into system32, it finds them

but are not the right version ones, so it fails. If you want your qgis to start you should rename/delete such dll files, of course one or more programs

you installed will stop to work. Blame not QGIS for this.
Thank you Giovanni. I just checked the System32 folder for same DLLs - there are non of them!

The affected dlls - now with version Bonn are:

qpps\qt5\bin\qca-qt5.dll

qpps\qt5\bin\qwt6.dll

qpps\qt5\bin\qgis_gui.dll

qpps\qt5\bin\qgis_app.dll

So it seems not to be a "DLL-hell" issue. What else could it be?

Attached you find the error messages from version Bonn.

#8 - 2018-08-16 11:13 AM - Giovanni Manghi

Thank you Giovanni. I just checked the System32 folder for same DLLs - there are non of them!

try make a wider search in your c:\windows folder

#9 - 2018-08-16 11:28 AM - Markus Urbscheit

- File 2018-08-16 11_24_55-qgis_gui.dll - Suchergebnisse in _Windows (C_)_.jpg added

- File 2018-08-16 11_20_52-qwt6.dll - Suchergebnisse in _Windows (C_)_.jpg added

- File 2018-08-16 11_22_44-qca-qt5.dll - Suchergebnisse in _Windows (C_)_.jpg added

- File 2018-08-16 11_26_38-qgis_app.dll - Suchergebnisse in _Windows (C_)_.jpg added

Giovanni Manghi wrote:

Thank you Giovanni. I just checked the System32 folder for same DLLs - there are non of them!

try make a wider search in your c:\windows folder

No dlls to  find in windows folder, except in regular qgis and OSGeo folders, see attached screenshots of search

#10 - 2018-08-16 01:16 PM - Jürgen Fischer

- Status changed from Reopened to Feedback

- Resolution deleted (invalid)

- Category changed from Unknown to Windows Package

Markus Urbscheit wrote:

Giovanni Manghi wrote:

Thank you Giovanni. I just checked the System32 folder for same DLLs - there are non of them!

try make a wider search in your c:\windows folder
No dlls to  find in windows folder, except in regular qgis and OSGeo folders, see attached screenshots of search

Better candidates are the OpenSSL DLLs or the Qt-DLL themselves.  You could try dependency walker to find the culprit.

#11 - 2018-08-16 03:53 PM - Markus Urbscheit

- File qwt6.txt added

- File qca-qt5.txt added

Jürgen Fischer wrote:

Markus Urbscheit wrote:

Giovanni Manghi wrote:

Thank you Giovanni. I just checked the System32 folder for same DLLs - there are non of them!

try make a wider search in your c:\windows folder

No dlls to  find in windows folder, except in regular qgis and OSGeo folders, see attached screenshots of search

Better candidates are the OpenSSL DLLs or the Qt-DLL themselves.  You could try dependency walker to find the culprit.

Thank you Jürgen. I opened the dlls with dependency walker. I cannot interpret the results/error messages since I am just a normal desktop user an not

famliar to dlls at all. So I attached the results of dependency walker - maybe you can say something about them.

I am really near to give up... should I clean reinstall windows? That would cost me much too much time...

#12 - 2018-11-11 11:21 AM - Jürgen Fischer

- Duplicated by Bug report #20205: QGIS 3 can not launch added

#13 - 2018-11-11 11:28 AM - Jürgen Fischer

- Related to Bug report #18980: QGis does not start up - only error messages added

#14 - 2018-11-11 11:28 AM - Jürgen Fischer

- Duplicated by Bug report #18326: Cannot launch QGis 3.0 - .dll error messages added

#15 - 2018-11-11 11:42 AM - Jürgen Fischer

- Description updated

#16 - 2018-11-11 12:32 PM - Jürgen Fischer

Steps to check:

    1. Download dependency walker

    2. Extract it to your OSGeo4W install's bin directory %OSGEO4W_ROOT%\bin (usually C:\OSGeo4W64\bin)

    3. Edit %OSGEO4W_ROOT%\bin\qgis.bat (or for nightlies qgis-rel-dev-g7.bat or qgis-dev-g7.bat) and add the following line right above the last line and

save it:

for %%i in (qgis_app.dll) do depends /c /f:1 /ot:%TEMP%\%%~ni.log %%~$PATH:i
    4. Then double click the file you just edited in explorer to start it

    5. This will produce the error message as before, but beforehand a report about your DLLs will have been created in %TEMP%\qgis_app.log (usually 

AppData\Local\Temp in your %USERPROFILE%)

That report should have clues about what's going on.

#17 - 2018-11-11 12:56 PM - Jürgen Fischer

- Description updated

#18 - 2018-11-11 05:33 PM - Jürgen Fischer

Jürgen Fischer wrote:

That report should have clues about what's going on.

Verify for instance that DLLs like QT5*.DLL, SSLEAY32.DLL and LIBEAY32.DLL come from an directory within the QGIS installation and not from

windows' system32.  These mask the DLLs belonging to QGIS and shouldn't be there and be moved to the software that installed them there.

#19 - 2019-01-30 11:52 AM - Jürgen Fischer

- Status changed from Feedback to Closed

- Resolution set to no timely feedback

#20 - 2019-02-25 07:10 AM - Mathieu Pellerin - nIRV

- Status changed from Closed to Reopened

- File qgis_app.log added

- Subject changed from QGis 3.0.3 does not start up - please help! to QGis 3.6 does not start up - please help!

- Resolution deleted (no timely feedback)

Jürgen, a friend of mine just installed 3.6 and got a "could not load qgis_app.dll" error. He had 3.4.4 working flawlessly on his computer. That's odd.

Anyhow, I was able to get access to his computer and output a dependencies log, which I'm attaching here. I've looked into it and can't spot anything

wrong. Hope your expert eyes can find this helpful.

#21 - 2019-02-25 07:19 AM - Mathieu Pellerin - nIRV

OK, Nyall spotted out the culprit; the log shows that EXIV2.DLL is missing. Adding the DLL from http://www.exiv2.org/download.html into the QGIS bin

directory works.

So, the problem - with 3.6 - is a missing DLL in the standalone package.

#22 - 2019-02-25 08:40 AM - Jürgen Fischer

- Affected QGIS version changed from 3.0.3 to 3.6.0

Mathieu Pellerin - nIRV wrote:

So, the problem - with 3.6 - is a missing DLL in the standalone package.
This should already be fixed.

#23 - 2019-02-25 08:41 AM - Jürgen Fischer

- Resolution set to worksforme

- Subject changed from QGis 3.6 does not start up - please help! to QGis does not start up - please help!

- Status changed from Reopened to Closed

Files

2018-05-29 16_49_35-bin.jpg 13.5 KB 2018-05-29 Markus Urbscheit

2018-05-29 16_50_37-D__Temp_Qgis 3.0.3 Errors_2018-05-29 16_49_35-bin.jpg - Greenshot Editor.jpg14.2 KB 2018-05-29 Markus Urbscheit

2018-05-29 16_51_02-D__Temp_Qgis 3.0.3 Errors_2018-05-29 16_49_35-bin.jpg - Greenshot Editor.jpg15.3 KB 2018-05-29 Markus Urbscheit

2018-05-29 16_51_17-D__Temp_Qgis 3.0.3 Errors_2018-05-29 16_49_35-bin.jpg - Greenshot Editor.jpg16.8 KB 2018-05-29 Markus Urbscheit

2018-05-29 16_52_06-bin.jpg 17.8 KB 2018-05-29 Markus Urbscheit

2018-08-16 10_51_46-QGIS 3.2.jpg 15.5 KB 2018-08-16 Markus Urbscheit

2018-08-16 10_54_32-QGIS 3.2.jpg 18 KB 2018-08-16 Markus Urbscheit

2018-08-16 10_52_02-QGIS 3.2.jpg 14.3 KB 2018-08-16 Markus Urbscheit

2018-08-16 10_52_10-QGIS 3.2.jpg 15.7 KB 2018-08-16 Markus Urbscheit

2018-08-16 10_52_19-QGIS 3.2.jpg 14.8 KB 2018-08-16 Markus Urbscheit

2018-08-16 11_22_44-qca-qt5.dll - Suchergebnisse in _Windows (C_)_.jpg23 KB 2018-08-16 Markus Urbscheit

2018-08-16 11_20_52-qwt6.dll - Suchergebnisse in _Windows (C_)_.jpg22.1 KB 2018-08-16 Markus Urbscheit

2018-08-16 11_26_38-qgis_app.dll - Suchergebnisse in _Windows (C_)_.jpg31.3 KB 2018-08-16 Markus Urbscheit

2018-08-16 11_24_55-qgis_gui.dll - Suchergebnisse in _Windows (C_)_.jpg32.5 KB 2018-08-16 Markus Urbscheit

qca-qt5.txt 646 KB 2018-08-16 Markus Urbscheit

qwt6.txt 721 KB 2018-08-16 Markus Urbscheit

qgis_app.log 851 KB 2019-02-25 Mathieu Pellerin - nIRV
